import request from '@/utils/request'

// 查询节点管理列表
export function listNode(query) {
  return request({
    url: '/quest/node/list',
    method: 'get',
    async: false,
    params: query
  })
}

// 查询节点管理详细
export function getNode(id) {
  return request({
    url: '/quest/node/' + id,
    method: 'get'
  })
}

// 新增节点管理
export function addNode(data, taskCode) {
  return request({
    url: '/quest/node/'+taskCode,
    method: 'post',
    data: data
  })
}

// 修改节点管理
export function updateNode(data) {
  return request({
    url: '/quest/node',
    method: 'put',
    data: data
  })
}

// 删除节点管理
export function delNodeByIds(ids) {
  return request({
    url: '/quest/node/' + ids,
    method: 'delete'
  })
}

// 删除节点管理
export function delNodeByTaskCodeAndNodeCodes(taskCode,nodeCodes) {
  return request({
    url: '/quest/node/' + taskCode + '/' + nodeCodes,
    method: 'delete'
  })
}

// 批量删除新增节点管理
export function batch(data,taskCode) {
  return request({
    url: '/quest/node/batch/'+taskCode,
    method: 'post',
    data: data
  })
}
